Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1696880 - ceph ansible 3.x still sets memory option if
Summary: ceph ansible 3.x still sets memory option if
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 4.0
Assignee: Guillaume Abrioux
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1578730
TreeView+ depends on / blocked
 
Reported: 2019-04-05 20:43 UTC by John Fulton
Modified: 2019-04-10 06:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3816 None None None 2019-04-09 06:05:58 UTC

Description John Fulton 2019-04-05 20:43:52 UTC
ceph-ansible 3.2.x still sets the container --memory flag if bluestore is used.

This issue was fixed with the following PR:

https://github.com/ceph/ceph-ansible/commit/dc1c0dcee21deefa359cae30d3a733a4348bfd2f#diff-eeb7d6b3bca9ebda529454853f290989

Could the above be backported to 3.2.x as it will negatively impact bluestore use in the field?

Comment 1 Guillaume Abrioux 2019-04-10 06:50:28 UTC
This has been backported upstream into stable-3.2, it will be present in the next tag.


Note You need to log in before you can comment on or make changes to this bug.